Bug 151047

Summary: run-jsc-benchmarks doesn't work with internal benchmarks
Product: WebKit Reporter: Geoffrey Garen <ggaren>
Component: New BugsAssignee: Geoffrey Garen <ggaren>
Status: RESOLVED FIXED    
Severity: Normal CC: clopez, fpizlo, ossy
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 151784    
Bug Blocks:    
Attachments:
Description Flags
Patch none

Description Geoffrey Garen 2015-11-09 12:32:08 PST
run-jsc-benchmarks doesn't work with internal benchmarks
Comment 1 Geoffrey Garen 2015-11-09 12:32:59 PST
Created attachment 265080 [details]
Patch
Comment 2 Geoffrey Garen 2015-11-10 14:22:07 PST
Comment on attachment 265080 [details]
Patch

Clearing flags on attachment: 265080

Committed r192271: <http://trac.webkit.org/changeset/192271>
Comment 3 Geoffrey Garen 2015-11-10 14:22:11 PST
All reviewed patches have been landed.  Closing bug.
Comment 4 Carlos Alberto Lopez Perez 2015-11-16 19:21:44 PST
This broke the script for me:

FAILED: #<TypeError: no implicit conversion of nil into String>
Stack trace:
Tools/Scripts/run-jsc-benchmarks:2823:in `initialize'
Tools/Scripts/run-jsc-benchmarks:2823:in `new'
Tools/Scripts/run-jsc-benchmarks:2823:in `<main>'
Use the --help option to get basic usage information.
Comment 5 Csaba Osztrogon√°c 2015-12-03 03:13:24 PST
(In reply to comment #4)
> This broke the script for me:
> 
> FAILED: #<TypeError: no implicit conversion of nil into String>
> Stack trace:
> Tools/Scripts/run-jsc-benchmarks:2823:in `initialize'
> Tools/Scripts/run-jsc-benchmarks:2823:in `new'
> Tools/Scripts/run-jsc-benchmarks:2823:in `<main>'
> Use the --help option to get basic usage information.

already fixed in bug151047
Comment 6 Csaba Osztrogon√°c 2015-12-03 03:13:46 PST
I meant bug151784.